textures/clash2/clang
{
	surfaceparm metalsteps
	surfaceparm nodamage
	{
		map textures/clash2/clang.tga
	}
}

textures/clash2/clang_blood
{
	surfaceparm metalsteps
	surfaceparm nodamage
	{
		map textures/clash2/clang_blood.tga
	}
}

textures/clash2/clang_stripe
{
	surfaceparm metalsteps
	surfaceparm nodamage
	{
		map textures/clash2/clang_stripe.tga
	}
}

textures/clash2/mtlfloor1
{
	surfaceparm metalsteps
	surfaceparm nodamage
	{
		map textures/clash2/mtlfloor1.tga
	}
}

textures/clash2/mtlfloor2
{
	surfaceparm metalsteps
	surfaceparm nodamage
	{
		map textures/clash2/mtlfloor2.tga
	}
}

textures/clash2/cracked
{
	q3map_lightimage textures/clash2/cracked.fx.tga
	surfaceparm nodamage
	{
		map textures/clash2/cracked.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/clash2/cracked.fx.tga
		blendfunc add
	}
}

textures/clash2/techfloor1
{
	surfaceparm metalsteps
	surfaceparm nodamage
	{
		map textures/clash2/techfloor1.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
}

textures/clash2/techfloor2
{
	q3map_lightimage textures/clash2/techfloor2.blend.tga
	surfaceparm metalsteps
	surfaceparm nodamage
	{
		map textures/clash2/techfloor2.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/clash2/techfloor2.blend.tga
		blendfunc add
		rgbGen wave sin 0 0.5 0 0.5 
	}
}

textures/clash2/tilefloor1
{
	surfaceparm metalsteps
	surfaceparm nodamage
	{
		map textures/clash2/tilefloor1.tga
	}
}

textures/clash2/tilefloor2
{
	surfaceparm metalsteps
	surfaceparm nodamage
	{
		map textures/clash2/tilefloor2.tga
	}
}

textures/clash2/support
{
	surfaceparm metalsteps
	surfaceparm nodamage
	{
		map textures/clash2/support.tga
	}
}

textures/clash2/support_light
{
	q3map_lightimage textures/clash2/support_light.blend.tga
	surfaceparm metalsteps
	surfaceparm nodamage
	{
		map textures/clash2/support_light.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/clash2/support_light.blend.tga
		blendfunc add
		rgbGen identity
	}
}

textures/clash2/support_light_g
{
	qer_editorimage textures/clash2/support_light.tga
	q3map_lightimage textures/clash2/support_light_g.blend.tga
	surfaceparm metalsteps
	surfaceparm nodamage
	{
		map textures/clash2/support_light.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/clash2/support_light_g.blend.tga
		blendfunc add
		rgbGen identity
	}
}

textures/clash2/grate
{
	qer_editorimage textures/clash2/grate.tga
	surfaceparm metalsteps
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/clash2/grate.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
}

textures/clash2/grate2
{
	qer_editorimage textures/clash2/grate2.tga
	surfaceparm metalsteps
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/clash2/grate2.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
}

textures/clash2/light1
{
	qer_editorimage textures/clash2/light1.tga
	q3map_lightimage textures/clash2/light1.blend.tga
	surfaceparm nodamage
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/clash2/light1.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/clash2/light1.blend.tga
		blendfunc add
	}
}

textures/clash2/light2
{
	qer_editorimage textures/clash2/light2.tga
	q3map_lightimage textures/clash2/light2.blend.tga
	surfaceparm nodamage
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/clash2/light2.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/clash2/light2.blend.tga
		blendfunc add
	}
}

textures/clash2/light3
{
	qer_editorimage textures/clash2/light3.tga
	q3map_lightimage textures/clash2/light3.blend.tga
	surfaceparm nodamage
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map textures/clash2/light3.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen environment 
	}
	{
		map textures/clash2/light3.blend.tga
		blendfunc add
	}
}

textures/clash2/light4
{
	qer_editorimage textures/clash2/light4.tga
	q3map_lightimage textures/clash2/light4.blend.tga
	surfaceparm nodamage
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map textures/clash2/light4.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen environment 
	}
	{
		map textures/clash2/light4.blend.tga
		blendfunc add
	}
}

textures/clash2/lighttrim1
{
	qer_editorimage textures/clash2/lighttrim1.tga
	q3map_lightimage textures/clash2/lighttrim1.blend.tga
	surfaceparm nodamage
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map textures/clash2/lighttrim1.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen environment 
	}
	{
		map textures/clash2/lighttrim1.blend.tga
		blendfunc add
	}
}

textures/clash2/lighttrim2
{
	qer_editorimage textures/clash2/lighttrim2.tga
	q3map_lightimage textures/clash2/lighttrim2.blend.tga
	surfaceparm nodamage
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map textures/clash2/lighttrim2.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/clash2/lighttrim2.blend.tga
		blendfunc add
	}
}

textures/clash2/banner
{
	q3map_lightimage textures/clash2/banner.tga
	surfaceparm nomarks
	cull disable
	deformVertexes wave 194 sin 0 3 0 0.4 
	tessSize 64
	{
		map textures/clash2/banner.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/effects/tinfx.tga
		blendfunc gl_one_minus_src_color gl_one
		tcGen environment 
	}
}

textures/clash2/banner_bloody
{
	q3map_lightimage textures/clash2/banner_bloody.tga
	surfaceparm nomarks
	cull disable
	deformVertexes wave 194 sin 0 3 0 0.4 
	tessSize 64
	{
		map textures/clash2/banner_bloody.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
}

textures/clash2/cascade
{
	qer_editorimage textures/clash2/cascade.blend.tga
	surfaceparm lava
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	q3map_surfacelight 100
	{
		map textures/clash2/cascade.tga
		blendfunc blend
		tcMod scroll 0 -2.5
	}
}

textures/clash2/fan
{
	qer_editorimage textures/clash2/fan.tga
	surfaceparm noimpact
	surfaceparm nomarks
	{
		map textures/clash2/fan.tga
		blendfunc blend
		tcMod rotate 270
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
}

textures/clash2/glass
{
	qer_editorimage textures/effects/tinfx2.tga
	surfaceparm nodamage
	surfaceparm trans
	qer_trans 0.5
	{
		map textures/effects/tinfx2.tga
		blendfunc add
		tcGen environment 
	}
}

textures/clash2/vent1
{
	surfaceparm metalsteps
	surfaceparm nodamage
	surfaceparm trans
	cull disable
	{
		map textures/clash2/vent1.tga
		blendfunc blend
	}
}

textures/clash2/vent1_notrans
{
	qer_editorimage textures/clash2/vent1.tga
	surfaceparm metalsteps
	surfaceparm nodamage
	surfaceparm trans
	cull disable
	{
		map textures/clash2/mtlwall1.tga
	}
	{
		map textures/clash2/vent1.tga
		blendfunc blend
	}
}

textures/clash2/vent2
{
	surfaceparm metalsteps
	surfaceparm nodamage
	{
		map textures/clash2/vent2.tga
	}
	{
		map textures/clash2/glass.fx.tga
		blendfunc add
		tcGen environment 
	}
}

textures/clash2/vent_fan
{
	qer_editorimage textures/clash2/vent_fan.tga
	surfaceparm noimpact
	surfaceparm nomarks
	{
		map textures/clash2/vent_fan.tga
		blendfunc blend
		tcMod rotate 270
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
}

textures/clash2/glass_g
{
	qer_editorimage textures/effects/tinfx2g.tga
	surfaceparm nodamage
	surfaceparm trans
	qer_trans 0.5
	{
		map textures/effects/tinfx2g.tga
		blendfunc add
		tcGen environment 
	}
}

textures/clash2/lava1
{
	qer_editorimage textures/clash2/lava1.tga
	surfaceparm lava
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	deformVertexes wave 100 sin 3 2 0.1 0.1 
	tessSize 128
	q3map_surfacelight 2000
	q3map_globaltexture
	{
		map textures/clash2/lava1.tga
		tcMod turb 0 0.2 0 0.1
	}
	{
		map textures/clash2/lava1fx.tga
		blendfunc add
		tcMod turb 0 0.2 0 0.1
	}
	{
		map textures/clash2/lava.blend.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0.04 0.03
		tcMod turb 0 0.1 0 0.05
		tcMod scale 0.5 0.5
	}
}

textures/clash2/lava1water
{
	qer_editorimage textures/clash2/lava1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 100 sin 3 2 0.1 0.1 
	tessSize 128
	q3map_surfacelight 2000
	q3map_globaltexture
	{
		map textures/clash2/lava1.tga
		tcMod turb 0 0.2 0 0.1
	}
	{
		map textures/clash2/lava1fx.tga
		blendfunc add
		tcMod turb 0 0.2 0 0.1
	}
	{
		map textures/clash2/lava.blend.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0.04 0.03
		tcMod turb 0 0.1 0 0.05
		tcMod scale 0.5 0.5
	}
}

textures/clash2/water
{
	qer_editorimage textures/clash2/water.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 100 sin 3 2 0.1 0.1 
	tessSize 128
	q3map_surfacelight 100
	q3map_globaltexture
	{
		map textures/clash2/water.tga
		blendfunc add
		tcMod turb 0 0.1 0 0.1
	}
	{
		map textures/clash2/water.tga
		blendfunc gl_src_color gl_one_minus_src_color
		tcMod turb 0 0.2 0.5 0.1
	}
}

textures/clash2/portal
{
	q3map_lightimage textures/clash2/portal_2.blend.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	q3map_vertexscale 2
	{
		clampmap textures/clash2/portal_1.blend.tga
		blendfunc add
		rgbGen wave sin 0 1 0 0.5 
		tcMod rotate 20
		tcMod stretch sin 1.3 1.3 0 0 
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		clampmap textures/clash2/portal_2.blend.tga
		blendfunc add
		tcMod rotate -10
		tcMod stretch sin 1.3 1.3 0 0 
	}
	{
		clampmap textures/clash2/portal_3.blend.tga
		blendfunc add
		tcMod rotate 80
		tcMod stretch sin 1.3 1.3 0 0 
	}
	{
		map textures/clash2/portal_4.blend.tga
		blendfunc add
		tcMod rotate -40
		tcMod stretch sin 1.3 1.3 0 0 
		depthFunc equal
	}
	{
		map textures/effects/envmaprail.tga
		blendfunc add
		tcGen environment 
	}
}

textures/clash2/fog_512
{
	qer_editorimage textures/clash2/fog.blend.tga
	surfaceparm fog
	surfaceparm nonsolid
	surfaceparm trans
	qer_nocarve
	qer_trans 0.5
	fogparms ( 1 0.415686 0 ) 512
}

textures/clash2/fog_768
{
	qer_editorimage textures/clash2/fog.blend.tga
	surfaceparm fog
	surfaceparm nonsolid
	surfaceparm trans
	qer_nocarve
	qer_trans 0.5
	fogparms ( 1 0.415686 0 ) 768
}

textures/clash2/fog_1024
{
	qer_editorimage textures/clash2/fog.blend.tga
	surfaceparm fog
	surfaceparm nonsolid
	surfaceparm trans
	qer_nocarve
	qer_trans 0.5
	fogparms ( 1 0.415686 0 ) 1024
}

textures/clash2/fog_2048
{
	qer_editorimage textures/clash2/fog.blend.tga
	surfaceparm fog
	surfaceparm nonsolid
	surfaceparm trans
	qer_nocarve
	qer_trans 0.5
	fogparms ( 1 0.415686 0 ) 2048
}

